BuildCommand (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.plugins.ide.eclipse.model

## Class BuildCommand

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.BuildCommand

- All Implemented Interfaces:
    `java.io.Serializable`

      public class BuildCommand
      extends java.lang.Object
      implements java.io.Serializable

  A build command.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BuildCommand​(java.lang.String name)` |
    `BuildCommand​(java.lang.String name, java.util.Map<java.lang.String,java.lang.String> arguments)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.util.Map<java.lang.String,java.lang.String>` | `getArguments​()` |
    `java.lang.String` | `getName​()` |
    `int` | `hashCode​()` |
    `void` | `setArguments​(java.util.Map<java.lang.String,java.lang.String> arguments)` |
    `void` | `setName​(java.lang.String name)` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildCommand

          public BuildCommand​(java.lang.String name)

    - #### BuildCommand

          public BuildCommand​(java.lang.String name,
                              java.util.Map<java.lang.String,java.lang.String> arguments)

  - ### Method Detail

    - #### getName

          public java.lang.String getName​()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getArguments

          public java.util.Map<java.lang.String,java.lang.String> getArguments​()

    - #### setArguments

          public void setArguments​(java.util.Map<java.lang.String,java.lang.String> arguments)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`